package com.hellokoding.jpa.repository;

import com.hellokoding.jpa.model.Book;
import com.hellokoding.jpa.model.BookPublisher;
import com.hellokoding.jpa.model.Publisher;
import org.springframework.data.jpa.repository.JpaRepository;

/**
 * Created by dutoitjo on 10/01/2017.
 */
public interface BookPublisherRepository extends JpaRepository<BookPublisher, Long> {

    BookPublisher findByBookAndPublisher(Book book, Publisher publisher);

}
